require_relative "player"

module StudioGame
  class BerserkPlayer < Player

    def initialize(name, health=100)
      super(name, health)
      @w00ted = 0
    end

    def berserk?
      @w00ted > 5
    end

    def w00t
      super
      @w00ted += 1

      if @w00ted == 6
        puts "#{name} is berserk!"
      end
    end

    def blam
      if berserk?
        w00t
      else
        super
      end
    end
  end
end
